<div class="col-lg-12 animated fadeInRight">
  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
      <div class="col-lg-12">
        <div class="ibox float-e-margins">
          <div class="ibox-title">
            <h3>
              <strong>Coverage Areas </strong>
            </h3>
            <div class="fm-row">
              <div class="row">
                <div class="col-sm-3">
                </div>
                <div class="col-sm-9 text-right">
                  <button class="btn btn-sm btn-primary green" (click)="refetchCoverageZone()">
                    <i aria-hidden="true" class="fa fa-refresh"></i> Refresh</button>
                  <button class="btn btn-sm btn-primary red" (click)="reset()">
                    <i aria-hidden="true" class="fa fa-eraser"></i> Reset filters</button>
                  <button type="submit" class="btn btn-primary btn-sm blue" [routerLink]="['/admin/administration/coverage-area/add']">Add new record</button>
                </div>
              </div>
            </div>
            <div class="ibox-content">
              <div class="table-responsive">
                <table aria-describedby="Coverage Areas" class="table table-striped table-bordered table-responsive">
                  <thead>
                    <tr>
                      <th scope="col" (click)="sort('unique_id')">Id
                        <span>
                          <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='unique_id' }"></i>
                          <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='unique_id' }"></i>
                        </span>
                      </th>
                      <th scope="col" (click)="sort('name')">Name
                        <span>
                          <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='name' }"></i>
                          <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='name' }"></i>
                        </span>
                      </th>
                      <th scope="col">Company</th>
                      <th scope="col">Action</th>
                    </tr>
                  </thead>
                  <tbody>
                    <span *ngIf="searchLoader">
                      <img alt="my taxi loader" src="assets/img/loader.gif" class="loader-img" />
                    </span>
                    <tr *ngFor="let coverage of coverageAreaData">
                      <td>{{coverage.unique_id}}</td>
                      <td>{{coverage.name}} </td>
                      <td>{{coverage.company}} </td>
                      <td>
                        <span matTooltip="Coverage Area Surface">
                          <a [routerLink]="['/admin/administration/coverage-area/viewcoverage', coverage._id]">
                            <i aria-hidden="true" class="fa fa-file-o text-navy"></i>
                          </a>&nbsp;&nbsp;&nbsp;
                        </span>
                        <span matTooltip="Delete">
                          <a (click)="deleteCoverageArea(coverage._id)">
                            <i aria-hidden="true" class="fa fa-trash text-navy"></i>
                          </a>
                        </span>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
              <br>
              <div class="container-fluid" *ngIf="coverageAreaDataLength==0">
                <div class="row">
                  <div class="dataTables_info1">
                    <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                      No records found.
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>